Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class AbstractJettyRunWarTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.plugins.jetty.AbstractJettyRunTask
                      org.gradle.api.plugins.jetty.AbstractJettyRunWarTask

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task

Direct Known Subclasses:
  JettyRunWar

    public abstract class AbstractJettyRunWarTask

extends AbstractJettyRunTask

Field Summary

Fields inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask
`consoleScanner, PORT_SYSPROPERTY, reload, scannerListeners`

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`AbstractJettyRunWarTask(Project project, java.lang.String name)`

Method Summary
`void` | `applyJettyXml()`
`JettyPluginServer` | `createServer()` create a proxy that wraps a particular jetty version Server object

Methods inherited from class org.gradle.api.plugins.jetty.AbstractJettyRunTask
`configureScanner, configureWebApplication, findJettyWebXmlFile, finishConfigurationBeforeStart, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getTmpDirectory, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, restartWebApp, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setTmpDirectory, setUserRealms, setWebAppConfig, setWebDefaultXml, startConsoleScanner, startJetty, startJettyInternal, validateConfiguration`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift, methodMissing, propertyMissing, setProperty`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setSkipProperties, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass`

Constructor Detail

### AbstractJettyRunWarTask

    public AbstractJettyRunWarTask(Project project,
                                   java.lang.String name)

Method Detail

### applyJettyXml

    public void applyJettyXml()
                       throws java.lang.Exception

  Specified by:
    `applyJettyXml` in class `AbstractJettyRunTask`
  Throws:
    `java.lang.Exception`

### createServer

    public JettyPluginServer createServer()
                                   throws java.lang.Exception

  Description copied from class: `AbstractJettyRunTask`
  create a proxy that wraps a particular jetty version Server object

  Specified by:
    `createServer` in class `AbstractJettyRunTask`
  Returns:
    The Jetty Plugin Server
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractJettyRunTask.createServer()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD